package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("iot_device_list_new")
public class IotDeviceListNew implements Serializable {
    private static final long serialVersionUID = 1L;
    //主键
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    //设备编号
    @TableField("device_num")
    private String deviceNum;

    //设备名称
    @TableField("device_name")
    private String deviceName;

    //子公司
    @TableField("associate_company")
    private String associateCompany;

    //工厂
    @TableField("factory")
    private String factory;

    //工作重心
    @TableField("work_center")
    private String workCenter;

    //班组
    @TableField("work_group")
    private String workGroup;

    //websocket分组ID
    @TableField("websocket_group_id")
    private Integer websocketGroupId;

}
